from django.contrib import admin
from django.urls import path, include
from pieteikumi.views import AdminClientListView

admin_clients_view = AdminClientListView.as_view({'get': 'list'})

urlpatterns = [
    path('admin/', admin.site.urls),
    # Autentifikācija (Login/Register)
    path('api/auth/', include('mim_auth.urls')),
    # Projekti
    path('api/projects/', include('projects.urls')),
    path('webhook/', include('telegram_bot.urls')),
    path('api/invoices/', include('invoices.urls')),
    path('api/pieteikumi/',   include('pieteikumi.urls')),
    path('api/ai/', include('ai_chat.urls')),
    # Admin Klientu API (Aģentūras Dashboards)
    path('api/admin/clients/', admin_clients_view, name='admin-clients'),
]